[solved] ailurus 10.10.3-1 is not working In Linux Mint 11

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
ashickur.noor
Level 1
Level 1
Posts: 10
Joined: Mon Apr 18, 2011 1:30 pm

[solved] ailurus 10.10.3-1 is not working In Linux Mint 11

Post by ashickur.noor » Tue Jun 07, 2011 2:02 am

I am getting this error whet starting Linux Mint

Code: Select all

Traceback (most recent call last):
  File "main.py", line 25, in <module>
    from lib import *
  File "/usr/share/pyshared/ailurus/lib.py", line 2003, in <module>
    VERSION = ['hardy', 'intrepid', 'jaunty', 'karmic', 'lucid', 'maverick'][int(VERSION)-5]
IndexError: list index out of range
Error in atexit._run_exitfuncs:
Traceback (most recent call last):
  File "/usr/lib/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/share/pyshared/ailurus/lib.py", line 587, in drop_priviledge
    daemon().drop_priviledge(dbus_interface='cn.ailurus.Interface')
TypeError: 'NoneType' object is not callable
Error in sys.exitfunc:
Traceback (most recent call last):
  File "/usr/lib/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/share/pyshared/ailurus/lib.py", line 587, in drop_priviledge
    daemon().drop_priviledge(dbus_interface='cn.ailurus.Interface')
TypeError: 'NoneType' object is not callable
Please some body help me.
Last edited by ashickur.noor on Fri Jun 10, 2011 7:47 am, edited 1 time in total.

User avatar
jungle_boy
Level 7
Level 7
Posts: 1715
Joined: Thu Aug 19, 2010 2:51 pm
Location: Amazon Rain Forest Land

Re: ailurus 10.10.3-1 is not working In Linux Mint 11

Post by jungle_boy » Wed Jun 08, 2011 2:02 pm

Yes, ailurus 10.10.3-1 do not works in LM11, because it is compiled for work only up to LM10 (based on maverick ubuntu), LM11 is based in Nardaal (something thus)...

See the message: hardy (ubuntu 8.04), intrepid (ubuntu 7.10), ...lucid (ubuntu 10.04), maverick (ubuntu 10.10), etc...

Try another version...

User avatar
kazztan0325
Level 1
Level 1
Posts: 18
Joined: Thu Jun 09, 2011 5:26 am
Location: JAPAN

Re: ailurus 10.10.3-1 is not working In Linux Mint 11

Post by kazztan0325 » Thu Jun 09, 2011 10:06 am

Hi, @ashickur.noor!

# I will show you the workaround to make Ailurus run on Mint 11.


1. Open the Terminal (Applications > Accessories > Terminal).

2. Copy/Paste or type the following line of code into Terminal and then press enter:

Code: Select all

sudo gedit /usr/share/pyshared/ailurus/lib.py
3. The Terminal will then ask you for your password, type it and then press enter.

4. gedit will open a file called "lib.py".

5. Open [Find] Dialog (Search > Find...).

6. Enter a string 'maverick' into [Search for:] Text box and then press enter ( or click [Find] Button).

7. You will find two places like below.

Code: Select all

    @classmethod
    def get_all_Ubuntu_versions(cls):
        return ['hardy', 'intrepid', 'jaunty', 'karmic', 'lucid', 'maverick']

Code: Select all

elif MINT:
    DISTRIBUTION = 'ubuntu'
    UBUNTU_DERIV = True
    VERSION = Config.get_Mint_version() # VERSION is in ['5', '6', '7', '8', '9', '10']
    VERSION = ['hardy', 'intrepid', 'jaunty', 'karmic', 'lucid', 'maverick'][int(VERSION)-5]
    BACKEND = APT
    installation_command_backend = debian_installation_command
8. Insert a string , 'natty' behind 'maverick' (both of two), and insert a string , '11' behind '10', like this:

Code: Select all

        return ['hardy', 'intrepid', 'jaunty', 'karmic', 'lucid', 'maverick', 'natty']

Code: Select all

    VERSION = Config.get_Mint_version() # VERSION is in ['5', '6', '7', '8', '9', '10', '11']
    VERSION = ['hardy', 'intrepid', 'jaunty', 'karmic', 'lucid', 'maverick', 'natty'][int(VERSION)-5]
9. Save the file called "lib.py", then close the window (both of gedit and Terminal), Done!

# In my case, it was no need to log out or Reboot, Click Ailurus Icon on mintMenu (Applications > System tools > Ailurus)
, Ailurus just run!


I hope this will help you.
Image

ashickur.noor
Level 1
Level 1
Posts: 10
Joined: Mon Apr 18, 2011 1:30 pm

Re: ailurus 10.10.3-1 is not working In Linux Mint 11

Post by ashickur.noor » Fri Jun 10, 2011 5:38 am

kazztan0325 wrote:Hi, @ashickur.noor!
I hope this will help you.

Thank You. It works.

User avatar
kazztan0325
Level 1
Level 1
Posts: 18
Joined: Thu Jun 09, 2011 5:26 am
Location: JAPAN

Re: ailurus 10.10.3-1 is not working In Linux Mint 11

Post by kazztan0325 » Fri Jun 10, 2011 6:30 am

The pleasure is mine. :D

By the way, I think that you should add a string [SOLVED] on the head of the Subject line of your original post.
Image

JeysonX
Level 1
Level 1
Posts: 1
Joined: Mon Jul 11, 2011 4:05 pm

Re: ailurus 10.10.3-1 is not working In Linux Mint 11

Post by JeysonX » Mon Jul 11, 2011 4:11 pm

kazztan0325 wrote: 4. gedit will open a file called "lib.py".
I have this file is empty ...
paste the full text file ... please

User avatar
blueXrider
Level 2
Level 2
Posts: 72
Joined: Thu Jun 30, 2011 11:49 am

Re: [solved] ailurus 10.10.3-1 is not working In Linux Mint

Post by blueXrider » Mon Jul 11, 2011 8:28 pm

WOW Kazz....you're a kickass kinda guy

User avatar
kazztan0325
Level 1
Level 1
Posts: 18
Joined: Thu Jun 09, 2011 5:26 am
Location: JAPAN

Re: [solved] ailurus 10.10.3-1 is not working In Linux Mint

Post by kazztan0325 » Tue Jul 12, 2011 1:05 am

@JeysonX:

"lib.py" CANNOT be empty.

Re-install Ailurus, then try again, please.
Image

MrD
Level 4
Level 4
Posts: 227
Joined: Wed Dec 09, 2009 8:34 am
Location: UK
Contact:

Re: [solved] ailurus 10.10.3-1 is not working In Linux Mint

Post by MrD » Thu Nov 03, 2011 11:13 pm

Wonderful! Got Ailurus working again with your instructions easily. This is an essential tool in my collection for sure, particularly the swap ram (I set to 10% HDD, 90% ram) and the "auto configure firefox" features
Dell Inspiron 1520 - T6570 2.1ghz C2D, 4 gigs ram, integrated Intel 965 GPU, Intel replacement wifi card.

User avatar
kazztan0325
Level 1
Level 1
Posts: 18
Joined: Thu Jun 09, 2011 5:26 am
Location: JAPAN

Re: [solved] ailurus 10.10.3-1 is not working In Linux Mint

Post by kazztan0325 » Sun Nov 06, 2011 12:31 pm

@MrD:
I'm glad this workaround could help you.
I also like the 'swap ram' and the 'auto configure Firefox' features of Ailurus, however unfortunately it seems the development of Ailurus has been suspended from 1 year ago.

By the way...,
I tried to install Ailurus into 'Ubuntu 11.10 Oneiric Ocelot (one of my Virtual Machines in VirtualBox)' today.

Installation had no problem, and then I applied the same way to 'lib.py'.
i.e.
Insert a string , 'natty', 'oneiric' behind 'maverick' (both of two), and insert a string , '11', '12' behind '10'.

This way, I succeeded in making Ailurus work on Oneiric too!
However there are only 4 items ( Configure Firefox, Host name, Memory, Update ) in System Settings.

Image

Anyway, I guess possibly we would be able to apply this workaround which I wrote above to 'Mint 12 Lisa' too.
Image

MrD
Level 4
Level 4
Posts: 227
Joined: Wed Dec 09, 2009 8:34 am
Location: UK
Contact:

Re: [solved] ailurus 10.10.3-1 is not working In Linux Mint

Post by MrD » Mon Nov 21, 2011 7:56 am

LM12RC seems to be a bit faster than previous editions and some of the problems that needed resolving do not need to be anymore. I suppose I should add that the Firefox tweaks were handy in the past, but did little in LM11. Ailurus is becoming less useful.

I do have one issue with LM12RC I'd like to see if Ailurus can resolve in the Firefox tweaks. I have my media desktop streaming catchup tv and when I open Firefox on my laptop, restoring from an earlier session with multiple tabs, it uses so much bandwidth that the desktop stops playing for about 30 seconds at best, at worst the streaming service stops playing and says there isn't enough bandwidth available, necessitating manual restarting of the video. This may be Firefox, or may be something to do with network connections, I'll not know till I try Ailurus.

In a single user household this may not be a major problem, but in a house where 2, 3 or even 4 users are using one internet line this could create an annoyance for everyone.
Dell Inspiron 1520 - T6570 2.1ghz C2D, 4 gigs ram, integrated Intel 965 GPU, Intel replacement wifi card.

Post Reply

Return to “Newbie Questions”